Bug 1378442 - [RFE] Unable to upload source RPM packages [NEEDINFO]
Summary: [RFE] Unable to upload source RPM packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: vijsingh
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1438448 (view as bug list)
Depends On: 1778055 1773298
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-22 12:24 UTC by Roman Plevka
Modified: 2020-06-22 18:23 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Support has been added for uploading the SRPM file type content using the Satellite API or Hammer CLI.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:16 UTC
Target Upstream Version:
anerurka: needinfo? (chrobert)
anerurka: needinfo? (chrobert)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16712 Normal Closed Unable to upload source RPM packages 2020-10-26 09:06:10 UTC
Red Hat Knowledge Base (Solution) 3063541 None None None 2017-08-28 17:09:56 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:44 UTC

Description Roman Plevka 2016-09-22 12:24:43 UTC
Description of problem:
There's a pulp error being thrown on uploading a srpm to a yum repository:
"Katello::Errors::PulpError: PLP0047: The importer yum_importer indicated a failed response when uploading rpm unit to repository"

syslog:
http://paste.fedoraproject.org/432536/47454676

Looks like Pulp does support srpm but satellite most probably calls pulp in a way as it was RPM.

- as a (negative) bonus, the task stays in Paused state and blocks all further tasks related to the product (and can't be cancelled).

Version-Release number of selected component (if applicable):
6.2.2

How reproducible:
always

Steps to Reproduce:
1. create a custom product
2. create a custom YUM repository
3. upload some source RPM file to the repo.

Actual results:
Katello::Errors::PulpError: PLP0047: The importer yum_importer indicated a failed response when uploading rpm unit to repository

Expected results:
There should either be a rpm/srpm flag or Satellite should figure out the type of the file and trigger an appropriate action.

Additional info:

Comment 2 Brad Buckingham 2016-09-27 18:58:40 UTC
This bugzilla is valid; however, it is actually an enhancement as SRPMs have never been supported.

Comment 3 Brad Buckingham 2016-09-27 18:59:25 UTC
Created redmine issue http://projects.theforeman.org/issues/16712 from this bug

Comment 7 Craig Donnelly 2017-02-23 01:40:50 UTC
Just a note: If you check the actual error output from the task you can easily tell the issue (For others investigating the error mentioned: Katello::Errors::PulpError: PLP0047: The importer yum_importer indicated a failed response when uploading rpm unit to repository)

    "error"=>
     {"code"=>"PLP0047",
      "data"=>
       {"unit_type"=>"rpm",
        "importer_id"=>"yum_importer",
        "repo_id"=>"Default_Organization-customer-rpms",
        "details"=>
         {"errors"=>
           ["Error uploading an RPM.  The specified file is a source rpm"]},

Comment 9 Brad Buckingham 2017-04-04 10:56:44 UTC
*** Bug 1438448 has been marked as a duplicate of this bug. ***

Comment 10 daniel.hanke.extern 2017-08-23 06:58:10 UTC
Still no solution for this?

Comment 20 Brad Buckingham 2019-02-25 22:26:29 UTC
Since Delta RPMs are a different content unit, we have created bug 1682951 to track their inclusion within Satellite 6.

Comment 23 vijsingh 2020-01-21 06:17:29 UTC
ON_QA verified

@Satellite 6.7.0 Snap 9.0

Steps/Observation:

 - All tests passed in automation
 - Functionality working as expected and smooth

Known bug(but not a blocker here): https://bugzilla.redhat.com/show_bug.cgi?id=1778055

Comment 36 errata-xmlrpc 2020-04-14 13:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.